## pygooglechart 0.4.0%2Bgit20140622

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  --with python2  $@

override_dh_installexamples:
	dh_installexamples	examples/* test

override_dh_compress:
	dh_compress		-X.py

=== debian/watch ===
version=3

http://pygooglechart.slowchop.com/files/download/pygooglechart-(.*)\.tar\.gz

## pygooglechart 0.4.0+git20140622

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonGoogleChart.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonGoogleChart.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonGoogleChart"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonGoogleChart"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pygooglechart (0.4.0+git20140622-1) unstable; urgency=low

  * new upstream version (from github)
   -  Python 3 compatibility (Geremy Condra)
   -  Fix chco separator (Iacopo Spalletti)
   -  Download to memory (Eduard Carreras)
   -  Documentation work (WoLpH, Eduard Carreras)
  * debian/control
    - set myself as mantainer
    - set git://git.debian.org/git/collab-maint/pygooglechart.git
      as packaging repository
    - remove Build-Depends-Indep: python-support (>= 0.6.4),
      use dh-python
  * use format 3.0 quilt for source
  * debian/copyright
    - updated upstream copyright years
  * Bug fix: "deprecation of python-support", thanks to
      dktrkranz@debian.org; (Closes: #786051).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 23 Jun 2015 11:44:24 +0200

pygooglechart (0.3.0-2) UNRELEASED; urgency=low

  * Use canonical URIs for Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 16:01:45 +0200

pygooglechart (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream copyright years
    - updated packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.0 (no changes needed)
  * debian/{control, compat, rules}
    - switch to dh7

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Jul 2010 23:51:21 +0200

pygooglechart (0.2.1-2) unstable; urgency=low

  * Uploading to unstable, since Lenny has been released
  * debian/copyright
    - updated copyright years
    - updated my email address
    - updated packaging copyright notice, extending years
    - clarified upstream code is GPLv3+ referring to GPL-3 license
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - updated my email address
    - removed XS-DM-Upload-Allowed field
    - uncapitalize short description
  * debian/rules
    - install and clean only for default python version (it's arch:all)
    - moved removal of 'build' dir after python clean
    - merged 'rm' call into 'dh_clean' one
    - removed 'dh_shlibdeps' call since not needed

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Feb 2009 19:53:34 +0100

pygooglechart (0.2.1-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.0 (no changes needed)
    - added python-setuptools build-dep
  * debian/rules
    - installed test as example

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 08 Sep 2008 21:48:32 +0200

pygooglechart (0.2.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release

  [ Piotr Ożarowski ]
  * Added "XS-DM-Upload-Allowed: yes"

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 30 Apr 2008 07:14:23 +0200

pygooglechart (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #455912)

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 18 Dec 2007 23:44:46 +0100

=== debian/control ===
Source: pygooglechart
Section: python
Priority: optional
Maintainer: A Mennucc1 <mennucc1@debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, dh-python
Standards-Version: 3.9.0
Homepage: http://pygooglechart.slowchop.com/
Vcs-Git: git://git.debian.org/git/collab-maint/pygooglechart.git
X-Python-Version: all

Package: python-pygooglechart
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: complete wrapper for the Google Chart API
 Google Chart API is an extremely simple tool that lets you easily create a
 chart from some data. You embed the data and formatting parameters in an HTTP
 request, and Google returns a PNG image of the chart.
 .
 This package contains a Python wrapper for those API.
 .
 For a complete API documentation please refer to Google page:
 http://code.google.com/apis/chart/ .

## pygooglechart 0.4.0+git20180818

=== debian/changelog ===
pygooglechart (0.4.0+git20180818) unstable; urgency=medium

  [ Dorian Kind ]
  * Use correct color delimiter in get_url_bits()

  [ Graham Ullrich ]
  * fix base Google API url

  [ Gerald Kaszuba ]
  * Update README.markdown

  [ A Mennucc1 ]
  * update Vcs-Git and Vcs-Browser to point to salsa.debian.org
  * update Homepage to point to github
  * bump standards version to 4.2.0 (no changes)
  * change source format to "native" (upstream is unmantained)
  * remove debian/watch (upstream is unmantained)
  * set debian/compat to 9

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 18 Aug 2018 18:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools, dh-python
-Standards-Version: 3.9.0
-Homepage: http://pygooglechart.slowchop.com/
-Vcs-Git: git://git.debian.org/git/collab-maint/pygooglechart.git
+Standards-Version: 4.2.0
+Homepage: https://github.com/gak/pygooglechart
+Vcs-Git: https://salsa.debian.org/mennucc1/pygooglechart.git
+Vcs-Browser: https://salsa.debian.org/mennucc1/pygooglechart.git
 X-Python-Version: all
 
 Package: python-pygooglechart
@@ -20,4 +21,4 @@
  This package contains a Python wrapper for those API.
  .
  For a complete API documentation please refer to Google page:
- http://code.google.com/apis/chart/ .
+ https://developers.google.com/chart/ .

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  --with python2  $@
+	dh $@ --with python2
 
 override_dh_installexamples:
 	dh_installexamples	examples/* test
